Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.uddi.client.structures.request
Class DeleteService

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.UpdateRequest
                  |
                  +--weblogic.uddi.client.structures.request.DeleteService

public class DeleteService
extends UpdateRequest

The delete_service message is used to remove one or more businessService structures.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`authInfo`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`DeleteService()` Class Constructor

Method Summary
`void` | `addServiceKey(java.lang.String serviceKey)` Add new ServiceKey value to the set of ServiceKeys
`java.util.Vector` | `getServiceKeyVector()` Gets the set of ServiceKeys
`void` | `setServiceKeyVector(java.util.Vector keyVector)` Sets new set of ServiceKeys

Methods inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`getAuthInfo, setAuthInfo`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteService

    public DeleteService()

  Class Constructor

Method Detail

### addServiceKey

    public void addServiceKey(java.lang.String serviceKey)

  Add new ServiceKey value to the set of ServiceKeys

  Parameters:
    `serviceKey` - New ServiceKey value

### setServiceKeyVector

    public void setServiceKeyVector(java.util.Vector keyVector)

  Sets new set of ServiceKeys

  Parameters:
    `keyVector` - Set of ServiceKeys

### getServiceKeyVector

    public java.util.Vector getServiceKeyVector()

  Gets the set of ServiceKeys

  Returns:
    Set of ServiceKeys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD